"use strict";
exports.__esModule = true;
exports.fillConstantsInString = void 0;
function fillConstantsInString(textValue, constants) {
    var newTextValue = textValue;
    Object.keys(constants).forEach(function (constant) {
        var constantValue = String(constants[constant]);
        newTextValue = newTextValue.replace(new RegExp("\\$".concat(constant), 'g'), constantValue);
    });
    return newTextValue;
}
exports.fillConstantsInString = fillConstantsInString;
//# sourceMappingURL=fillConstantsInString.js.map