"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
exports.TextLinesSection = void 0;
var serializable_1 = require("../serializable");
var TextLinesSection = /** @class */ (function (_super) {
    __extends(TextLinesSection, _super);
    function TextLinesSection(startToken, endToken) {
        var _this = _super.call(this) || this;
        _this.startToken = startToken;
        _this.endToken = endToken;
        _this.SERIALIZABLE_CLASS = TextLinesSection.name;
        return _this;
    }
    TextLinesSection.prototype.toSerializable = function () {
        return {
            SERIALIZABLE_CLASS: this.SERIALIZABLE_CLASS,
            startToken: this.startToken,
            endToken: this.endToken
        };
    };
    TextLinesSection.fromSerializable = function (serializable) {
        return new TextLinesSection(serializable.startToken, serializable.endToken);
    };
    return TextLinesSection;
}(serializable_1.AbstractSerializable));
exports.TextLinesSection = TextLinesSection;
//# sourceMappingURL=TextLinesSection.js.map