"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
exports.TextRange = void 0;
var serializable_1 = require("../serializable");
var TextRange = /** @class */ (function (_super) {
    __extends(TextRange, _super);
    function TextRange(startIndex, endIndex) {
        var _this = _super.call(this) || this;
        _this.startIndex = startIndex;
        _this.endIndex = endIndex;
        _this.SERIALIZABLE_CLASS = TextRange.name;
        return _this;
    }
    TextRange.prototype.toSerializable = function () {
        return {
            SERIALIZABLE_CLASS: this.SERIALIZABLE_CLASS,
            startIndex: this.startIndex,
            endIndex: this.endIndex
        };
    };
    TextRange.fromSerializable = function (serializable) {
        return new TextRange(serializable.startIndex, serializable.endIndex);
    };
    return TextRange;
}(serializable_1.AbstractSerializable));
exports.TextRange = TextRange;
//# sourceMappingURL=TextRange.js.map