import { AbstractSerializable } from './AbstractSerializable';
export type SerializableClassInstance<T> = T extends AbstractSerializable ? {
    [K in keyof T as T[K] extends (...args: any[]) => any ? never : K]: SerializableClassInstance<T[K]>;
} : T;
