import { AbstractSerializable, SerializableClassInstance } from '../serializable';
export declare class TextRange extends AbstractSerializable {
    readonly startIndex: number;
    readonly endIndex: number;
    SERIALIZABLE_CLASS: string;
    constructor(startIndex: number, endIndex: number);
    toSerializable(): SerializableClassInstance<TextRange>;
    static fromSerializable(serializable: SerializableClassInstance<TextRange>): TextRange;
}
